<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Details</title>
</head>

<body>
    <main>
        <div>
            <h1>{{ todo_list_detail.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a>
            </p>
                <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                {% for list in todo_list_detail.items.all %}
                <tr>
                    <td>
                        <a href="{% url 'todo_item_update' list.id %}">{{ list.task }}</a>
                    </td>
                    <td>{{ list.due_date|date:'M t, Y' }}</td>
                </tr>
            {% endfor %}
            </table>
        </div>
    </main>
</body>

</html>
